Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1570118 - CloudForms 4.6 - filtering based on tags does not work for catalog items
Summary: CloudForms 4.6 - filtering based on tags does not work for catalog items
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: All
OS: Linux
high
high
Target Milestone: GA
: 5.9.2
Assignee: Libor Pichler
QA Contact: Landon LaSmith
URL:
Whiteboard:
Depends On: 1568013
Blocks: 1468726
TreeView+ depends on / blocked
 
Reported: 2018-04-20 16:24 UTC by Satoe Imaishi
Modified: 2021-06-10 15:55 UTC (History)
15 users (show)

Fixed In Version: 5.9.2.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1568013
Environment:
Last Closed: 2018-05-07 20:49:42 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 0 None None None 2018-05-07 20:50:16 UTC

Comment 2 CFME Bot 2018-04-20 16:26:08 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/4347128c7f564223941c1f60367faf225f6cd4a5
commit 4347128c7f564223941c1f60367faf225f6cd4a5
Author:     Keenan Brock <keenan@thebrocks.net>
AuthorDate: Fri Apr 20 12:04:57 2018 -0400
Commit:     Keenan Brock <keenan@thebrocks.net>
CommitDate: Fri Apr 20 12:04:57 2018 -0400

    Merge pull request #17322 from lpichler/revert_make_user_filter_as_restriction

    Revert "Merge pull request #15367"
    (cherry picked from commit 9f8c439882b88b6dc0866d74c0df29c168cdaca7)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1570118

 lib/rbac/filterer.rb | 16 +-
 spec/lib/rbac/filterer_spec.rb | 12 +-
 2 files changed, 14 insertions(+), 14 deletions(-)

Comment 7 Landon LaSmith 2018-05-03 12:34:22 UTC
VERIFIED in 5.9.2.4

I created a role/group/user that was restricted to user/group ownership and a tag. That user was able to view catalog items that were tagged only OR un-tagged but group (or user owned).

Comment 10 errata-xmlrpc 2018-05-07 20:49:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.